解决Eclipse 64位 报jvm.dll出错

/ 7评 / 0

在64位Win8环境+JDK下,运行Eclipse,提示“Failed to load the JNI shared library”错误,提示jvm.dll不对。

仔细检查过系统变量,配置没有问题。那为什么会提示出错呢?
google上查了下,原因是版本不兼容。下载的是32位的Eclipse,我的电脑是64位的。
不想再下载一遍,于是就研究解决方法。
方法找到了:修改eclipse.ini,指定路径。

org.eclipse.platform
-vm
x:jdkjdk1.7.0_05injavaw.exe

添加上述代码,可以解决。 X:为安装盘符路径。

7条回应:“解决Eclipse 64位 报jvm.dll出错”

  1. 三水君兰说道:

    你的jdk 不对

  2. 往事随风说道:

    @蘑菇天空:一个基于JAVA的开发环境

  3. 蘑菇天空说道:

    @梦月酱:易语言?

  4. 鸟先生说道:

    表示不懂编程。。。。 [3]

  5. 梦月酱说道:

    我们都在用XP搞E WIN8没搞过

  6. 不懂,友情顶帖!

  7. 鬼娃娃说道:

    这个是java的环境。。。

    那个表情好多你啊

发表评论

电子邮件地址不会被公开。 必填项已用*标注